Subject: bug#48917: 28.0.50; allow user to choose what function is used when windmove create a window

From: Juri Linkov <[email-masked]>
Date: Wed, 16 Jun 2021 02:32:46 +0300

tags 48917 fixed
close 48917 28.0.50
thanks

>> If you have not signed papers yet, I guess
>> these patches are small enough to push.
>>
>> But in both patches please change the :version tag to "28.1".
>
> I get the papers now \o/

Good news.  So now your patch is pushed.  Thanks for this useful feature.

> I was a little bit worried that this user-option is quite obscure to understand,
> so among other little docstring fixes, I documented an usage with
> 'display-buffer-alist' in the commentary section of the package.
>
> Please let me know if it is not desirable, in which case I will remove it.

It doesn't look like a suitable place to document its possible uses.
So pushed without commentary.

> Also I added the parent function ARG to be passed, it is an universal-argument.

This is a good change.